data.raw.item["raw-wood"].fuel_value = "1.5MJ";
data.raw.item["wood"].fuel_value = "0.75MJ";
data.raw.item["wooden-chest"].fuel_value = "1.5MJ";
data.raw.item["small-electric-pole"].fuel_value = "1.5MJ";
data.raw.item["coal"].fuel_value = "3.5MJ";
data.raw.item["solid-fuel"].fuel_value = "16MJ";
data.raw["solar-panel"]["solar-panel"].production = "6kW";
data.raw["accumulator"]["basic-accumulator"].energy_source =
{
  type = "electric",
  buffer_capacity = "9MJ",
  usage_priority = "terciary",
  input_flow_limit = "15kW",
  output_flow_limit = "15kW"
};

data.raw["recipe"]["laser-turret"].ingredients =
{
  {"steel-plate", 20},
  {"electronic-circuit", 20},
  {"capacitor", 12}
};

data.raw["electric-turret"]["laser-turret"].energy_source =
{
  type = "electric",
  buffer_capacity = "1602kJ",
  input_flow_limit = "9600kW",
  drain = "16kW",
  usage_priority = "primary-input"
};

data.raw["electric-turret"]["laser-turret"].attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 20,
      projectile_center = {0, -0.2},
      projectile_creation_distance = 1.4,
      range = 25,
      damage_modifier = 4,
      ammo_type =
      {
        type = "projectile",
        category = "laser-turret",
        energy_consumption = "1600kJ",
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      },
      sound = make_laser_sounds()
    }

